Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.meta
Class MappingInfo

    java.lang.Object
      |
      +--kodo.jdbc.meta.MappingInfo

Direct Known Subclasses:
  ClassMappingInfo, FieldMappingInfo

public class MappingInfo
extends Object

Base class for `ClassMappingInfo` and `FieldMappingInfo`.

Constructor Summary
`MappingInfo()`

Method Summary
`void` | `addAttribute(String name, String value)` Add the given attribute to the mapping information.
`void` | `addField(FieldMappingInfo value)` Add the given embedded field to the mapping information.
`void` | `clearAttributes()` Remove all attributes from the mapping information.
`void` | `clearFields()` Clear all fields.
`String` | `getAttribute(String name)` Return the given attribute to the mapping information.
`String[]` | `getAttributeNames()` Return all attribute keys.
`FieldMappingInfo` | `getField(String name)` Return information on the given embedded field.
`FieldMappingInfo[]` | `getFields()` Return all embedded fields.
`String` | `getMappingType()` Return the type for this mapping.
`String` | `removeAttribute(String name)` Remove the given attribute from the mapping information.
`void` | `removeField(FieldMappingInfo field)` Remove the embedded field mapping info.
`FieldMappingInfo` | `removeField(String name)` Remove the field information stored for the given field name.
`void` | `setMappingType(String mappingType)` Set the type for this mapping.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MappingInfo

    public MappingInfo()

Method Detail

### getMappingType

    public String getMappingType()

  Return the type for this mapping.

### setMappingType

    public void setMappingType(String mappingType)

  Set the type for this mapping.

### getAttribute

    public String getAttribute(String name)

  Return the given attribute to the mapping information. Attributes are mapping-specific.

### addAttribute

    public void addAttribute(String name,
                             String value)

  Add the given attribute to the mapping information. Attributes are mapping-specific.

### removeAttribute

    public String removeAttribute(String name)

  Remove the given attribute from the mapping information.

### clearAttributes

    public void clearAttributes()

  Remove all attributes from the mapping information.

### getAttributeNames

    public String[] getAttributeNames()

  Return all attribute keys.

### getField

    public FieldMappingInfo getField(String name)

  Return information on the given embedded field.

### addField

    public void addField(FieldMappingInfo value)

  Add the given embedded field to the mapping information.

### removeField

    public void removeField(FieldMappingInfo field)

  Remove the embedded field mapping info.

### removeField

    public FieldMappingInfo removeField(String name)

  Remove the field information stored for the given field name.

### clearFields

    public void clearFields()

  Clear all fields.

### getFields

    public FieldMappingInfo[] getFields()

  Return all embedded fields.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.